SHA1SUM(1)

NAMN
sha1sum — beräkna och kontrollera en SHA1-meddelandekontrollsumma

SYNOPSIS
sha1sum [FLAGGA]... [FIL]...

BESKRIVNING

Skriv eller kontrollera SHA1 (160-bitars) kontrollsummor.

Utan FIL, eller när FIL är -, läs standard in.

-b, --binary
    Läs i binärt läge.

-c, --check
    Läs kontrollsummor från FILerna och kontrollera dem.

--tag
    Skapa en kontrollsumma i BSD-stil.

-t, --text
    Läs i textläge (standard).

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad, och avaktivera kontrollsekvenser i filnamn.

  De fem följande flaggorna är användbara enbart vid verifikation av kontrollsummor:

--ignore-missing
    Misslyckas inte eller rapportera status för saknade filer.

--quiet
    Skriv inte OK för varje verifierad fil.

--status
    Skriv inte ut något, statuskoden visar resultatet.

--strict
    Returnera nollskilt vid felformaterade kontrollsummerader.

-w, --warn
    Varna för felaktigt formaterade kontrollsummerader.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Summorna beräknas så som beskrivs i FIPS-180-1. Vid kontroll skall indata vara en tidigare utdata från detta program. Normalläget är att skriva en rad med: kontrollsumma, ett mellanslag, ett tecken som indikerar indataläge (”*” för binärt, ” ” för text eller där binärläge är betydelselöst) och namnet på varje FIL.

Obs: det är ingen skillnad mellan binärt läge och textläge på GNU-system.

FEL
Använd inte SHA-1-algoritmen för säkerhetsrelaterade ändamål. Använd istället en SHA-2-algoritm, implementerad i programmen sha224sum(1), sha256sum(1), sha384sum(1), sha512sum(1) eller BLAKE2-algoritmen, implementerad i b2sum(1)

UPPHOVSMAN
Skrivet av Ulrich Drepper, Scott Miller och David Madore.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
cksum(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/sha1sum>
eller tillgängligt lokalt via: info '(coreutils) sha1sum invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.